package cz.vutbr.feec.utko.opencv;

import Jama.Matrix;


public class CVUtility {
	
	public static int[] matrixToIntVector(Matrix matrix) {
		double[] doubleArray = matrix.getRowPackedCopy();
		int[] intArray = new int[doubleArray.length];
		
		for (int i = 0; i < intArray.length; i++) {
			intArray[i] = (int)doubleArray[i];
		}
		
		return intArray;
		
	}

}
